Subject: Re: Turn Around Time
From: TJ Bourdeau <[email-masked]>
To: Caanan from Finnrick <[email-masked]>
Date: Tue, 17 Feb 2026 13:15:54 -0500

Sorry one more question 

I don’t know if I set up my account correctly. I’m not a manufacturer but help source from other manufacturers. So would that still be a vendor profile and you would still need 4 vials? The data would be associated with the manufacturer that I source from but then I guess in some way me if it’s one I choose to sell based off the testing result. 

Thank you
TJ

> On Feb 12, 2026, at 8:25 AM, TJ Bourdeau <[email-masked]> wrote:
> 
> Thank you. Is it only peptides or if a supplier offers vitamin mixes do you test those as well? 
> TJ
> 
>>> On Feb 11, 2026, at 1:27 PM, Caanan from Finnrick <[email-masked]> wrote:
>>> 
>> 
>> Hi TJ,
>> Appreciate you reaching out!
>> Standard time is a 2-3 week turnaround. Expedited is one week.
>> Thanks
>> -Caanan
>> 
>> 
>> On 2026-02-11 17:04:29, Tj Bourdeau <[email-masked]> wrote:
>> 
>> From the time you receive the sample what is your turn around time for results?
>> TJ